<?php

namespace App\Modelos;

use Core\Database;

class StockTransferenciaDetalle extends Database
{
    protected $table     = 'app_productos_transferencia_detalle';
    protected $id        = 'ptd_id';

    public function obtenerProductosTransferencia(int $ptd_ptrid)
    {
        return $this->consultar("SELECT * 
        FROM app_productos_transferencia_detalle ptd
        JOIN app_productos p ON p.pro_id=ptd.ptd_proid
		WHERE ptd.ptd_ptrid=$ptd_ptrid")->all();
    }

    public function obtenerProductoTransferenciaDetalle(int $ptd_ptrid)
    {
        return $this->consultar("SELECT * FROM app_productos_transferencia_detalle WHERE ptd_ptrid=$ptd_ptrid")->all();
    }
}
